Package org.apache.tapestry5.beanmodel.internal.services

## Class ClassPropertyAdapterImpl

- java.lang.Object
- - org.apache.tapestry5.beanmodel.internal.services.ClassPropertyAdapterImpl

- All Implemented Interfaces:
    `ClassPropertyAdapter`

      public class ClassPropertyAdapterImpl
      extends Object
      implements ClassPropertyAdapter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassPropertyAdapterImpl​(Class beanType, List<PropertyDescriptor> descriptors)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `get​(Object instance, String propertyName)` | Reads the value of a property.
    `Annotation` | `getAnnotation​(Object instance, String propertyName, Class<? extends Annotation> annotationClass)` | Returns the annotation of a given property for the specified type if such an annotation is present, else null.
    `Class` | `getBeanType()` | Returns the type of bean this adapter provides properties for.
    `PropertyAdapter` | `getPropertyAdapter​(String name)` | Returns the property adapter with the given name, or null if no such adapter exists.
    `List<String>` | `getPropertyNames()` | Returns the names of all properties, sorted into alphabetic order.
    `void` | `set​(Object instance, String propertyName, Object value)` | Updates the value of a property.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassPropertyAdapterImpl

          public ClassPropertyAdapterImpl​(Class beanType,
                                          List<PropertyDescriptor> descriptors)

  - ### Method Detail

    - #### getBeanType

          public Class getBeanType()

      Description copied from interface: `ClassPropertyAdapter`
      Returns the type of bean this adapter provides properties for.
      Specified by:
        `getBeanType` in interface `ClassPropertyAdapter`
      Returns:
        the type of the bean.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPropertyNames

          public List<String> getPropertyNames()

      Description copied from interface: `ClassPropertyAdapter`
      Returns the names of all properties, sorted into alphabetic order. This includes true properties (as defined in the JavaBeans specification), but also public fields. Starting in Tapestry 5.3, even public static fields are included.
      Specified by:
        `getPropertyNames` in interface `ClassPropertyAdapter`
      Returns:
        the property names.

    - #### getPropertyAdapter

          public PropertyAdapter getPropertyAdapter​(String name)

      Description copied from interface: `ClassPropertyAdapter`
      Returns the property adapter with the given name, or null if no such adapter exists.
      Specified by:
        `getPropertyAdapter` in interface `ClassPropertyAdapter`
      Parameters:
        `name` - of the property (case is ignored)
      Returns:
        the PropertyAdapter instance associated with that property

    - #### get

          public Object get​(Object instance,
                            String propertyName)

      Description copied from interface: `ClassPropertyAdapter`
      Reads the value of a property.
      Specified by:
        `get` in interface `ClassPropertyAdapter`
      Parameters:
        `instance` - the object to read a value from
        `propertyName` - the name of the property to read (case is ignored)
      Returns:
        the value

    - #### set

          public void set​(Object instance,
                          String propertyName,
                          Object value)

      Description copied from interface: `ClassPropertyAdapter`
      Updates the value of a property.
      Specified by:
        `set` in interface `ClassPropertyAdapter`
      Parameters:
        `instance` - the object to update
        `propertyName` - the name of the property to update (case is ignored)
        `value` - the value to be set

    - #### getAnnotation

          public Annotation getAnnotation​(Object instance,
                                          String propertyName,
                                          Class<? extends Annotation> annotationClass)

      Description copied from interface: `ClassPropertyAdapter`
      Returns the annotation of a given property for the specified type if such an annotation is present, else null.
      Specified by:
        `getAnnotation` in interface `ClassPropertyAdapter`
      Parameters:
        `instance` - the object to read a value from
        `propertyName` - the name of the property to read (case is ignored)
        `annotationClass` - the type of annotation to return
      Returns:
        the Annotation instance